package com.ruoyi.common.core.domain.model;

import lombok.Data;

/**
 * @author lyric
 * @date 2022/10/18 17:53
 */
@Data
public class MpLoginUser {
    /**
     * 登录类型
     */
    String type;

    /**
     * openId
     */
    String openId;

    /**
     * 学生id
     */
    Long studentId;

    /**
     * 家长id
     */
    Long parentId;

    /**
     * 学生名称
     */
    String studentName;

    /**
     * 学生身份证号
     */
    String studentIdCard;

    /**
     * 家长姓名
     */
    String parentName;

    /**
     * 教师Id
     */
    Long teacherId;

    /**
     * 系统表教师 userId
     */
    Long teacherUserId;

    /**
     * 教师姓名
     */
    String teacherName;

    /**
     * 教师身份证号
     */
    String teacherIdCard;

    /**
     * 教师电话号码
     */
    String teacherPhonenumber;

    /**
     * 用户唯一标识
     */
    private String mpToken;

    /**
     * 过期时间
     */
    private Long expireTime;

    /**
     * 登录时间
     */
    private Long loginTime;

    /**
     * 登录IP地址
     */
    private String ipaddr;

    /**
     * 登录地点
     */
    private String loginLocation;

    /**
     * 浏览器类型
     */
    private String browser;

    /**
     * 操作系统
     */
    private String os;

    private Long userId;

    /**
     * 教职工类型
     * */
    private String employeeType;

    /*
    头像
     */
    private String avatar;
}
